"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleRepository = void 0;
const tslib_1 = require("tslib");
// Copyright (c) 2023 Sourcefuse Technologies
//
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT
const core_1 = require("@loopback/core");
const sequelize_1 = require("@sourceloop/core/sequelize");
const loopback4_authentication_1 = require("loopback4-authentication");
const sequelize_2 = require("@loopback/sequelize");
const types_1 = require("../../types");
let RoleRepository = class RoleRepository extends sequelize_1.SequelizeUserModifyCrudRepository {
    constructor(dataSource, getCurrentUser, role) {
        super(role, dataSource, getCurrentUser);
        this.getCurrentUser = getCurrentUser;
        this.role = role;
    }
};
exports.RoleRepository = RoleRepository;
exports.RoleRepository = RoleRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.AuthDbSourceName}`)),
    tslib_1.__param(1, core_1.inject.getter(loopback4_authentication_1.AuthenticationBindings.CURRENT_USER)),
    tslib_1.__param(2, (0, core_1.inject)('models.Role')),
    tslib_1.__metadata("design:paramtypes", [sequelize_2.SequelizeDataSource, Function, Object])
], RoleRepository);
//# sourceMappingURL=role.repository.js.map