import { Getter } from '@loopback/core';
import { Entity, HasManyRepositoryFactory } from '@loopback/repository';
import { IAuthUserWithPermissions } from '@sourceloop/core';
import { SequelizeDataSource } from '@loopback/sequelize';
import { SequelizeUserModifyCrudRepository } from '@sourceloop/core/sequelize';
import { Tenant, TenantConfig } from '../../models';
import { TenantConfigRepository } from './tenant-config.repository';
export declare class TenantRepository extends SequelizeUserModifyCrudRepository<Tenant, typeof Tenant.prototype.id> {
    protected readonly getCurrentUser: Getter<IAuthUserWithPermissions | undefined>;
    protected tenantConfigRepositoryGetter: Getter<TenantConfigRepository>;
    private readonly tenant;
    readonly tenantConfigs: HasManyRepositoryFactory<TenantConfig, typeof Tenant.prototype.id>;
    constructor(dataSource: SequelizeDataSource, getCurrentUser: Getter<IAuthUserWithPermissions | undefined>, tenantConfigRepositoryGetter: Getter<TenantConfigRepository>, tenant: typeof Entity & {
        prototype: Tenant;
    });
}
